- Qt 5.15
- Qt Sensors
- C++ Classes
- QAmbientLightSensor
- Qt 5.15.19 Reference Documentation

# QAmbientLightSensor Class

The QAmbientLightSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QAmbientLightSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QAmbientLightSensor(QObject *parent = Q_NULLPTR)
virtual | ~QAmbientLightSensor()
QAmbientLightReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QAmbientLightReading instead of a QSensorReading.

For details about how the sensor works, see QAmbientLightReading.

See also QAmbientLightReading.

## Member Function Documentation

### QAmbientLightSensor::QAmbientLightSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QAmbientLightSensor::~QAmbientLightSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QAmbientLightReading *QAmbientLightSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().